Bug 11438 - [S60] Null values should remove the preferences
Summary: [S60] Null values should remove the preferences
Status: CLOSED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: 420+
Hardware: S60 Emulator S60 3rd edition
: P3 Major
Assignee: Nobody
URL: Internal
Keywords: PlatformOnly
Depends on:
Blocks:
 
Reported: 2006-10-27 13:44 PDT by Joseph Ligman
Modified: 2006-12-04 14:06 PST (History)
1 user (show)

See Also:


Attachments
Files: WidgetPreferences.cpp (1.74 KB, patch)
2006-10-27 14:02 PDT, Joseph Ligman
Sachin.Padma: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joseph Ligman 2006-10-27 13:44:12 PDT
Null preference values in set preference do not remove key/value pairs from the preferences list.
Comment 1 Joseph Ligman 2006-10-27 14:02:04 PDT
Created attachment 11260 [details]
Files: WidgetPreferences.cpp

Remove out of range key/value pairs in SetPreferenceL.
Comment 2 Sachin Padma 2006-11-08 13:11:24 PST
Comment on attachment 11260 [details]
Files: WidgetPreferences.cpp

r=me
Comment 3 Sachin Padma 2006-11-30 12:38:04 PST
committed as r17944
Comment 4 Krishna 2006-12-04 14:06:02 PST
Verified on the webkit build dated 04-Dec-2006. Closed.